subroutine trgraf_elvis_start(wname,gname)
  !
  !  start collecting data for a new ElVis display
  !  begin by deleting data from prior dislay
  !  dmc 24 Aug 2004
  !

  use trgraf_elvis
  implicit NONE

  character*(*), intent(in) :: wname  ! window name
  character*(*), intent(in) :: gname  ! graph name

  !-------------------------------------------------------------
  integer :: istat,ef_free   ! ElVis memory cleanup
  !-------------------------------------------------------------

  istat = ef_free()

  call xyclean
  nxy=0

  etitle=' '
  emnlab=' '; n_emnlab=0
  ekylab=' '; n_ekylab=0
  esidelab=' '; n_sidelab=0; sidelab_len=0
  exuns=' '
  eyuns=' '

  ewname=wname
  egname=gname

end subroutine trgraf_elvis_start
